# Uses of Interface
org.eclipse.birt.report.engine.extension.IPreparationContext

Packages that use IPreparationContext
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IPreparationContext in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IPreparationContext
Modifier and Type
Method
Description
`IPreparationContext`
IReportItemPreparationInfo.`getPreparationContext()`